/*
*  Rubrica
*  file: 
*
*  
*  Copyright (C) 2000-2005 Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#include <gtk/gtk.h>
#include <libral.h>

#include "app.h"
#include "adb.h"
#include "personal_gui.h"
// #include "company_gui.h"



void  
cards_append_personal_card (RubricaApp* app)
{
  PersonalDialog* form;  
  
  form = rubrica_personal_dialog_new(app);
  
  rubrica_personal_run_add_dialog(form); 
}



void 
cards_modify_personal_card (RubricaApp* app)
{
  RubricaAdb *adb;
  RubricaAbook* book;
  RubricaCard* oldcard;
  RubricaPersonalCard* newcard = NULL;
  PersonalDialog* form = NULL;  
  gchar* id;
  
  adb  = rubrica_app_get_active_addressbook(app);
  book = rubrica_adb_get_addressbook(adb);

  id      = rubrica_abook_get_selected_card_id(RUBRICA_ABOOK(book));
  oldcard = rubrica_abook_get_card_by_id (RUBRICA_ABOOK(book), id);
  
  form = rubrica_personal_dialog_new(app);
  
  rubrica_personal_display_card_data(form, oldcard);
  newcard = rubrica_personal_run_modify_dialog(form);
  
  if (newcard)
    rubrica_abook_replace_card(RUBRICA_ABOOK(book), oldcard, newcard);
}


void 
cards_append_company_card  (RubricaApp* app)
{
  //  CompanyDialog* form;  
  
  //  form = rubrica_company_dialog_new(app);
  
  //  rubrica_company_run_add_dialog(form);   
}

void 
cards_modify_company_card  (RubricaApp* app)
{
}
