/*
*  Rubrica
*  file: 
*
*  
*  Copyright (C) 2000-2005 Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#include <gtk/gtk.h>

#ifndef _GROUP_TREE_H
#define _GROUP_TREE_H

void on_rubrica_remove_from_groupstree (RubricaGroupSet *set,
					gpointer set_data, gpointer user_data);
void on_rubrica_add_to_groupstree      (RubricaGroupSet *set,
					gpointer set_data, gpointer user_data);

void on_rubrica_app_groups_event  (GtkTreeView* tree, GdkEvent *event,
				   gpointer data);
void on_rubrica_form_groups_event (GtkTreeView* tree, GdkEvent *event, 
				   gpointer data);
void on_rubrica_update_groupstree (RubricaGroupSet *set, gpointer set_data,
				   gpointer user_data);
#endif

